> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Embed



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json post /embed
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /embed:
    post:
      tags:
        - docs
      summary: Embed
      operationId: embed_embed_post
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/SingleEmbedQueryRequest'
                - $ref: '#/components/schemas/MultipleEmbedQueryRequest'
              title: Data
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbedQueryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SingleEmbedQueryRequest:
      properties:
        text:
          type: string
          title: Text
        embed_instruction:
          type: string
          title: Embed Instruction
          default: ''
      type: object
      required:
        - text
      title: SingleEmbedQueryRequest
    MultipleEmbedQueryRequest:
      properties:
        text:
          items:
            type: string
          type: array
          maxItems: 100
          minItems: 1
          title: Text
        embed_instruction:
          type: string
          title: Embed Instruction
          default: ''
      type: object
      required:
        - text
      title: MultipleEmbedQueryRequest
    EmbedQueryResponse:
      properties:
        vectors:
          items:
            items:
              type: number
            type: array
          type: array
          title: Vectors
      type: object
      required:
        - vectors
      title: EmbedQueryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````